diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/OCSPNoCheckExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/OCSPNoCheckExt.java
index e5cbab537f2264d6333a35850f35395bf508813b..9e36ae80031982389504b8d9b8dea5e2fd07ad27 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/OCSPNoCheckExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/OCSPNoCheckExt.java
@@ -143,14 +143,14 @@ public class OCSPNoCheckExt extends APolicyRule
                 certInfo.set(X509CertInfo.EXTENSIONS, extensions);
             } else {
                 try {
-                    extensions.delete(OCSPNoCheckExtension.NAME);
+                    extensions.delete(OCSPNoCheckExtension.class.getSimpleName());
                 } catch (IOException ex) {
                     // OCSPNoCheck extension is not already there
                     //  log(ILogger.LL_FAILURE, "No previous extension: "+OCSPNoCheckExtension.NAME+" "+ex.getMessage());
                 }
             }
 
-            extensions.set(OCSPNoCheckExtension.NAME, mOCSPNoCheck);
+            extensions.set(OCSPNoCheckExtension.class.getSimpleName(), mOCSPNoCheck);
 
             return PolicyResult.ACCEPTED;
 
@@ -170,8 +170,8 @@ public class OCSPNoCheckExt extends APolicyRule
     /**
      * Returns instance parameters.
      */
-    public Vector getInstanceParams() {
-        Vector params = new Vector();
+    public Vector<String> getInstanceParams() {
+        Vector<String> params = new Vector<String>();
 
         params.addElement(PROP_CRITICAL + "=" + mCritical);
         return params;
@@ -181,8 +181,8 @@ public class OCSPNoCheckExt extends APolicyRule
     /**
      * Returns default parameters.
      */
-    public Vector getDefaultParams() {
-        Vector defParams = new Vector();
+    public Vector<String> getDefaultParams() {
+        Vector<String> defParams = new Vector<String>();
 
         defParams.addElement(PROP_CRITICAL + "=false");
         return defParams;
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/PolicyConstraintsExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/PolicyConstraintsExt.java
index 717c19f70c7294eda564e27a28664e4c083218a0..849036c7d64b6563d4b7c187eb4016810a60809f 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/PolicyConstraintsExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/PolicyConstraintsExt.java
@@ -74,9 +74,9 @@ public class PolicyConstraintsExt extends APolicyRule
     protected int mInhibitPolicyMapping = DEF_INHIBIT_POLICY_MAPPING;
     protected PolicyConstraintsExtension mPolicyConstraintsExtension = null;
 
-    protected Vector mInstanceParams = new Vector();
+    protected Vector<String> mInstanceParams = new Vector<String>();
 
-    protected static Vector mDefaultParams = new Vector();
+    protected static Vector<String> mDefaultParams = new Vector<String>();
     static {
         mDefaultParams.addElement(PROP_CRITICAL + "=" + DEF_CRITICAL);
         mDefaultParams.addElement(
@@ -211,7 +211,7 @@ public class PolicyConstraintsExt extends APolicyRule
             try {
                 if (extensions != null) {
                     policyConstraintsExt = (PolicyConstraintsExtension)
-                            extensions.get(PolicyConstraintsExtension.NAME);
+                            extensions.get(PolicyConstraintsExtension.class.getSimpleName());
                 }
             } catch (IOException e) {
                 // extension isn't there. 
@@ -221,7 +221,7 @@ public class PolicyConstraintsExt extends APolicyRule
                 if (agentApproved(req)) {
                     return PolicyResult.ACCEPTED;
                 } else {
-                    extensions.delete(PolicyConstraintsExtension.NAME);
+                    extensions.delete(PolicyConstraintsExtension.class.getSimpleName());
                 }
             }
 
@@ -254,7 +254,7 @@ public class PolicyConstraintsExt extends APolicyRule
      *
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() { 
+    public Vector<String> getInstanceParams() { 
         return mInstanceParams;
     }
 
@@ -263,7 +263,7 @@ public class PolicyConstraintsExt extends APolicyRule
      *
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() { 
+    public Vector<String> getDefaultParams() { 
         return mDefaultParams;
     }
 
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/PolicyMappingsExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/PolicyMappingsExt.java
index 452a9a3fab723b87bfbff6eae13f69284a2673d6..1d901d57a7343d179e189f12da718967978e769d 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/PolicyMappingsExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/PolicyMappingsExt.java
@@ -75,7 +75,7 @@ public class PolicyMappingsExt extends APolicyRule
     protected PolicyMap[] mPolicyMaps = null;
     protected PolicyMappingsExtension mPolicyMappingsExtension = null;
 
-    protected Vector mInstanceParams = new Vector();
+    protected Vector<String> mInstanceParams = new Vector<String>();
 
     public PolicyMappingsExt() {
         NAME = "PolicyMappingsExt";
@@ -148,7 +148,7 @@ public class PolicyMappingsExt extends APolicyRule
         // create instance of policy mappings extension if enabled.
         if (mEnabled) {
             try {
-                Vector certPolicyMaps = new Vector();
+                Vector<CertificatePolicyMap> certPolicyMaps = new Vector<CertificatePolicyMap>();
 
                 for (int j = 0; j < mNumPolicyMappings; j++) {
                     certPolicyMaps.addElement(
@@ -220,7 +220,7 @@ public class PolicyMappingsExt extends APolicyRule
             try {
                 if (extensions != null) {
                     policyMappingsExt = (PolicyMappingsExtension)
-                            extensions.get(PolicyMappingsExtension.NAME);
+                            extensions.get(PolicyMappingsExtension.class.getSimpleName());
                 }
             } catch (IOException e) {
                 // extension isn't there. 
@@ -230,7 +230,7 @@ public class PolicyMappingsExt extends APolicyRule
                 if (agentApproved(req)) {
                     return PolicyResult.ACCEPTED;
                 } else {
-                    extensions.delete(PolicyMappingsExtension.NAME);
+                    extensions.delete(PolicyMappingsExtension.class.getSimpleName());
                 }
             }
 
@@ -241,7 +241,7 @@ public class PolicyMappingsExt extends APolicyRule
                 certInfo.set(X509CertInfo.EXTENSIONS, extensions);
             }
             extensions.set(
-                PolicyMappingsExtension.NAME, mPolicyMappingsExtension);
+                PolicyMappingsExtension.class.getSimpleName(), mPolicyMappingsExtension);
             return PolicyResult.ACCEPTED;
         } catch (IOException e) {
             log(ILogger.LL_FAILURE, 
@@ -263,7 +263,7 @@ public class PolicyMappingsExt extends APolicyRule
      *
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() { 
+    public Vector<String> getInstanceParams() { 
         return mInstanceParams;
     }
 
@@ -273,7 +273,7 @@ public class PolicyMappingsExt extends APolicyRule
      * increase the num to greater than 0 and more configuration params 
      * will show up in the console.
      */
-    private static Vector mDefParams = new Vector();
+    private static Vector<String> mDefParams = new Vector<String>();
     static {
         mDefParams.addElement(PROP_CRITICAL + "=" + DEF_CRITICAL);
         mDefParams.addElement(
@@ -291,12 +291,12 @@ public class PolicyMappingsExt extends APolicyRule
      *
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() { 
+    public Vector<String> getDefaultParams() { 
         return mDefParams;
     }
 
     public String[] getExtendedPluginInfo(Locale locale) {
-        Vector theparams = new Vector();
+        Vector<String> theparams = new Vector<String>();
 		
         theparams.addElement(PROP_CRITICAL + ";boolean;RFC 2459 recommendation: MUST be non-critical.");
         theparams.addElement(PROP_NUM_POLICYMAPPINGS + ";number; Number of policy mappings. The value must be greater than or equal to 1");
@@ -415,7 +415,7 @@ class PolicyMap {
         }
     }
 
-    protected void getInstanceParams(Vector instanceParams) {
+    protected void getInstanceParams(Vector<String> instanceParams) {
         instanceParams.addElement(
             mNameDot + PROP_ISSUER_DOMAIN_POLICY + "=" + (mIssuerDomainPolicy == null ? "" :
                 mIssuerDomainPolicy));
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/PresenceExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/PresenceExt.java
index 41f08963a44bfa7ba2ecebc0a80ceea41824e8b5..125555c40d4c7064671d856feae8bac75964a330 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/PresenceExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/PresenceExt.java
@@ -41,7 +41,7 @@ import com.netscape.cms.policy.APolicyRule;
  * @version $Revision$, $Date$
  */
 public class PresenceExt extends APolicyRule {
-    private static Vector mDefParams = new Vector();
+    private static Vector<String> mDefParams = new Vector<String>();
     private IConfigStore mConfig = null;
     private String mOID = null;
     private boolean mCritical;
@@ -106,8 +106,8 @@ public class PresenceExt extends APolicyRule {
         return res;
     }
 
-    public Vector getInstanceParams() { 
-        Vector params = new Vector(); 
+    public Vector<String> getInstanceParams() { 
+        Vector<String> params = new Vector<String>(); 
 
         params.addElement(PROP_IS_CRITICAL + "=" + mCritical); 
         params.addElement(PROP_OID + "=" + mOID);
@@ -151,7 +151,7 @@ public class PresenceExt extends APolicyRule {
      *
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() { 
+    public Vector<String> getDefaultParams() { 
         return mDefParams;
     }
 }
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/PrivateKeyUsagePeriodExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/PrivateKeyUsagePeriodExt.java
index ff0d5749b2530a6461ddb9e1898631285a58c51a..8b3ab40c0055586689766efb4a4e2a0faf4baa19 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/PrivateKeyUsagePeriodExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/PrivateKeyUsagePeriodExt.java
@@ -79,13 +79,13 @@ public class PrivateKeyUsagePeriodExt extends APolicyRule
     protected String mNotAfter;
     protected boolean mCritical;
 
-    private static Vector defaultParams;
+    private static Vector<String> defaultParams;
 
     static {
 
         formatter.setLenient(false);
 
-        defaultParams = new Vector();
+        defaultParams = new Vector<String>();
         defaultParams.addElement(PROP_IS_CRITICAL + "=" + DEFAULT_CRITICALITY);
         defaultParams.addElement(PROP_NOT_BEFORE + "=" + DEFAULT_NOT_BEFORE);
         defaultParams.addElement(PROP_NOT_AFTER + "=" + DEFAULT_NOT_AFTER);
@@ -200,7 +200,7 @@ public class PrivateKeyUsagePeriodExt extends APolicyRule
         } else {
             // remove any previously computed version of the extension
             try {
-                extensions.delete(PrivateKeyUsageExtension.NAME);
+                extensions.delete(PrivateKeyUsageExtension.class.getSimpleName());
 	   
             } catch (IOException e) {
             }
@@ -213,7 +213,7 @@ public class PrivateKeyUsagePeriodExt extends APolicyRule
                         formatter.parse(mNotAfter));
             certInfo.set(X509CertInfo.VERSION,
                 new CertificateVersion(CertificateVersion.V3));
-            extensions.set(PrivateKeyUsageExtension.NAME, ext);
+            extensions.set(PrivateKeyUsageExtension.class.getSimpleName(), ext);
         } catch (Exception e) {
             if (e instanceof RuntimeException) 
                 throw (RuntimeException) e;
@@ -231,8 +231,8 @@ public class PrivateKeyUsagePeriodExt extends APolicyRule
      * @return Empty Vector since this policy has no configuration parameters.
      * for this policy instance.
      */
-    public Vector getInstanceParams() { 
-        Vector params = new Vector();
+    public Vector<String> getInstanceParams() { 
+        Vector<String> params = new Vector<String>();
 
         params.addElement(PROP_IS_CRITICAL + "=" + mCritical);
         params.addElement(PROP_NOT_BEFORE + "=" + mNotBefore);
@@ -246,8 +246,8 @@ public class PrivateKeyUsagePeriodExt extends APolicyRule
      * @return Empty Vector since this policy implementation has no 
      * configuration parameters.
      */
-    public Vector getDefaultParams() { 
-        Vector defParams = new Vector();
+    public Vector<String> getDefaultParams() { 
+        Vector<String> defParams = new Vector<String>();
 
         defParams.addElement(PROP_IS_CRITICAL + "=" + DEFAULT_CRITICALITY);
         defParams.addElement(PROP_NOT_BEFORE + "=" + DEFAULT_NOT_BEFORE);
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/RemoveBasicConstraintsExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/RemoveBasicConstraintsExt.java
index de39cccd62ca4adb1a778cc94e6f69e580a929e1..396afc977b8f6b35ceb4bec399356686b2c5c578 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/RemoveBasicConstraintsExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/RemoveBasicConstraintsExt.java
@@ -95,7 +95,7 @@ public class RemoveBasicConstraintsExt extends APolicyRule
                     certInfo.get(X509CertInfo.EXTENSIONS);
             if (extensions != null) {
                 try {
-                    extensions.delete(BasicConstraintsExtension.NAME);
+                    extensions.delete(BasicConstraintsExtension.class.getSimpleName());
                     CMS.debug("PolicyRule RemoveBasicConstraintsExt: removed the extension from request " + req.getRequestId().toString());
                 } catch (IOException e) {
                 }
@@ -113,8 +113,8 @@ public class RemoveBasicConstraintsExt extends APolicyRule
      *
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() { 
-        Vector params = new Vector();
+    public Vector<String> getInstanceParams() { 
+        Vector<String> params = new Vector<String>();
 
         return params;
     }
@@ -124,8 +124,8 @@ public class RemoveBasicConstraintsExt extends APolicyRule
      *
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() { 
-        Vector defParams = new Vector();
+    public Vector<String> getDefaultParams() { 
+        Vector<String> defParams = new Vector<String>();
 
         return defParams;
     }
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/SubjAltNameExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/SubjAltNameExt.java
index c9ce68f651cfab96acb37b8155fcf3285bc5ec7b..aab88ff3b168998f96beae74f85ac7c9fee87ca9 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/SubjAltNameExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/SubjAltNameExt.java
@@ -186,7 +186,7 @@ public class SubjAltNameExt extends APolicyRule
                 // Remove any previously computed version of the extension
                 //
                 try {
-                    extensions.delete(SubjectAlternativeNameExtension.NAME);
+                    extensions.delete(SubjectAlternativeNameExtension.class.getSimpleName());
                 } catch (IOException e) {
                     // extension isn't there
                 }
@@ -214,7 +214,7 @@ public class SubjAltNameExt extends APolicyRule
 
             if (tok == null) break apply;
 
-            Vector emails = getEmailList(tok);
+            Vector<String> emails = getEmailList(tok);
 
             if (emails == null) break apply;
 
@@ -224,7 +224,7 @@ public class SubjAltNameExt extends APolicyRule
             if (extensions == null)
                 extensions = createCertificateExtensions(certInfo);
 
-            extensions.set(SubjectAlternativeNameExtension.NAME,
+            extensions.set(SubjectAlternativeNameExtension.class.getSimpleName(),
                 subjAltNameExt);
 
         } catch (IOException e) {
@@ -256,10 +256,10 @@ public class SubjAltNameExt extends APolicyRule
      * Generate a String Vector containing all the email addresses
      * found in this Authentication token
      */
-    protected Vector /* of String */
+    protected Vector /* of String */<String>
     getEmailList(IAuthToken tok) {
 
-        Vector v = new Vector();
+        Vector<String> v = new Vector<String>();
 
         addValues(tok, "mail", v);
         addValues(tok, "mailalternateaddress", v);
@@ -273,7 +273,7 @@ public class SubjAltNameExt extends APolicyRule
      * Add attribute values from an LDAP attribute to a vector
      */
     protected void
-    addValues(IAuthToken tok, String attrName, Vector v) {
+    addValues(IAuthToken tok, String attrName, Vector<String> v) {
         String attr[] = tok.getInStringArray(attrName);
 
         if (attr == null) return;
@@ -287,13 +287,13 @@ public class SubjAltNameExt extends APolicyRule
      * Make a Subject name extension given a list of email addresses
      */
     protected SubjectAlternativeNameExtension
-    mkExt(Vector emails)
+    mkExt(Vector<String> emails)
         throws IOException {
         SubjectAlternativeNameExtension sa;
         GeneralNames gns = new GeneralNames();
 
         for (int i = 0; i < emails.size(); i++) {
-            String email = (String) emails.elementAt(i);
+            String email = emails.elementAt(i);
 
             gns.addElement(new RFC822Name(email));
         }
@@ -329,8 +329,8 @@ public class SubjAltNameExt extends APolicyRule
      *
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() { 
-        Vector params = new Vector();
+    public Vector<String> getInstanceParams() { 
+        Vector<String> params = new Vector<String>();
 
         //params.addElement("PROP_AGENT_OVERR = " + mAllowAgentOverride);
         //params.addElement("PROP_EE_OVERR = " + mAllowEEOverride);
@@ -345,8 +345,8 @@ public class SubjAltNameExt extends APolicyRule
      *
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() { 
-        Vector defParams = new Vector();
+    public Vector<String>  getDefaultParams() { 
+        Vector<String>  defParams = new Vector<String> ();
 
         //defParams.addElement("PROP_AGENT_OVERR = " + DEF_AGENT_OVERR);
         //defParams.addElement("PROP_EE_OVERR = " + DEF_EE_OVERR);
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectAltNameExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectAltNameExt.java
index 7ff1a6c970d5cec51de124e208df71e24371427f..b9bc6059263d9272d0041e462d117e504beba1a6 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectAltNameExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectAltNameExt.java
@@ -81,10 +81,10 @@ public class SubjectAltNameExt extends APolicyRule
     protected int mNumGNs = 0;
     protected ISubjAltNameConfig[] mGNs = null;
 
-    Vector mInstanceParams = new Vector();
+    Vector<String> mInstanceParams = new Vector<String>();
 
     // init default params and extended plugin info.
-    private static Vector mDefParams = new Vector();
+    private static Vector<String> mDefParams = new Vector<String>();
     static {
         // default params.
         mDefParams.addElement(PROP_CRITICAL + "=" + DEF_CRITICAL);
@@ -197,7 +197,7 @@ public class SubjectAltNameExt extends APolicyRule
                 if (sourceId != null && sourceId.length() > 0) 
                     return res; // accepted
                 try {
-                    extensions.delete(SubjectAlternativeNameExtension.NAME);
+                    extensions.delete(SubjectAlternativeNameExtension.class.getSimpleName());
                 } catch (IOException e) {
                     // extension isn't there
                 }
@@ -213,12 +213,12 @@ public class SubjectAltNameExt extends APolicyRule
                 if (value == null) {
                     continue;
                 }
-                Vector gn = mGNs[i].formGeneralNames(value);
+                Vector<GeneralName> gn = mGNs[i].formGeneralNames(value);
 
                 if (gn.size() == 0)
                     continue;
-                for (Enumeration n = gn.elements(); n.hasMoreElements();) {
-                    gns.addElement((GeneralName) n.nextElement());
+                for (Enumeration<GeneralName> n = gn.elements(); n.hasMoreElements();) {
+                    gns.addElement(n.nextElement());
                 }
             }
 
@@ -242,7 +242,7 @@ public class SubjectAltNameExt extends APolicyRule
             if (extensions == null)
                 extensions = createCertificateExtensions(certInfo);
 
-            extensions.set(SubjectAlternativeNameExtension.NAME, sa);
+            extensions.set(SubjectAlternativeNameExtension.class.getSimpleName(), sa);
 
             return res; // accepted.
 
@@ -291,7 +291,7 @@ public class SubjectAltNameExt extends APolicyRule
      *
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() { 
+    public Vector<String> getInstanceParams() { 
         return mInstanceParams;
     }
 
@@ -300,14 +300,14 @@ public class SubjectAltNameExt extends APolicyRule
      *
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() { 
+    public Vector<String> getDefaultParams() { 
         return mDefParams;
     }
 
     public String[] getExtendedPluginInfo(Locale locale) {
 
         // extended plugin info.
-        Vector info = new Vector();
+        Vector<String> info = new Vector<String>();
 
         info.addElement(PROP_CRITICAL + ";boolean;RFC2459 recommendation: If the certificate subject field contains an empty sequence, the extension MUST be marked critical.");
         info.addElement(IGeneralNameUtil.PROP_NUM_GENERALNAMES_INFO);
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectDirectoryAttributesExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectDirectoryAttributesExt.java
index be858c9f0965c4a7a8928985634d35e286009979..34821fab1fce19caab5e283deadc40d291b29684 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectDirectoryAttributesExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectDirectoryAttributesExt.java
@@ -74,9 +74,9 @@ public class SubjectDirectoryAttributesExt extends APolicyRule
     protected IConfigStore mConfig;
     protected SubjectDirAttributesExtension mExt = null;
 
-    protected Vector mParams = new Vector();
+    protected Vector<String> mParams = new Vector<String>();
     private String[] mEPI = null;  			// extended plugin info
-    protected static Vector mDefParams = new Vector();
+    protected static Vector<String> mDefParams = new Vector<String>();
 
     static {
         setDefaultParams();
@@ -157,7 +157,7 @@ public class SubjectDirectoryAttributesExt extends APolicyRule
                 certInfo.set(X509CertInfo.EXTENSIONS, extensions);
             } else {
                 try {
-                    extensions.delete(SubjectDirAttributesExtension.NAME);
+                    extensions.delete(SubjectDirAttributesExtension.class.getSimpleName());
                 } catch (IOException ee) {
                     // if name is not found, try deleting the extension using the OID
                     try {
@@ -169,12 +169,12 @@ public class SubjectDirectoryAttributesExt extends APolicyRule
 
             // form extension and set.
             if (mExt != null) {
-                extensions.set(SubjectDirAttributesExtension.NAME, mExt);
+                extensions.set(SubjectDirAttributesExtension.class.getSimpleName(), mExt);
             } else {
                 SubjectDirAttributesExtension ext = formExt(req);
 
                 if (ext != null) 
-                    extensions.set(SubjectDirAttributesExtension.NAME, formExt(req));
+                    extensions.set(SubjectDirAttributesExtension.class.getSimpleName(), formExt(req));
             }
             return PolicyResult.ACCEPTED;
         } catch (CertificateException e) {
@@ -191,11 +191,12 @@ public class SubjectDirectoryAttributesExt extends APolicyRule
         } 
     }
 
-    public Vector getInstanceParams() {
+
+    public Vector<String> getInstanceParams() {
         return mParams; // inited in init()
     }
 
-    public Vector getDefaultParams() {
+    public Vector<String> getDefaultParams() {
         return mDefParams;
     }
 
@@ -224,7 +225,7 @@ public class SubjectDirectoryAttributesExt extends APolicyRule
     }
 
     private void setExtendedPluginInfo() {
-        Vector v = new Vector();
+        Vector<String> v = new Vector<String>();
 
         v.addElement(PROP_CRITICAL + ";boolean;" +
             "RFC 2459 recommendation: MUST be non-critical.");
@@ -245,7 +246,7 @@ public class SubjectDirectoryAttributesExt extends APolicyRule
 
     private SubjectDirAttributesExtension formExt(IRequest req) 
         throws IOException {
-        Vector attrs = new Vector();
+        Vector<Attribute> attrs = new Vector<Attribute>();
 
         // if we're called from init and one attribute is from request attribute
         // the ext can't be formed yet.
@@ -371,7 +372,7 @@ class AttributeConfig {
         }
     }
 
-    public static void getDefaultParams(String name, Vector v) {
+    public static void getDefaultParams(String name, Vector<String> v) {
         String nameDot = name + ".";
 
         v.addElement(nameDot + PROP_ATTRIBUTE_NAME + "=");
@@ -379,7 +380,7 @@ class AttributeConfig {
         v.addElement(nameDot + PROP_VALUE + "=");
     }
 
-    public static void getExtendedPluginInfo(String name, Vector v) {
+    public static void getExtendedPluginInfo(String name, Vector<String> v) {
         String nameDot = name + ".";
         String attrChoices = getAllNames();
 
@@ -389,7 +390,7 @@ class AttributeConfig {
         v.addElement(nameDot + VALUE_INFO);
     }
 
-    public void getInstanceParams(Vector v) {
+    public void getInstanceParams(Vector<String> v) {
         String nameDot = mName + ".";
 
         v.addElement(nameDot + PROP_ATTRIBUTE_NAME + "=" + mAttributeName);
@@ -409,9 +410,9 @@ class AttributeConfig {
     }
 
     static private String getAllNames() {
-        Enumeration n = X500NameAttrMap.getDefault().getAllNames();
+        Enumeration<String> n = X500NameAttrMap.getDefault().getAllNames();
         StringBuffer sb = new StringBuffer();
-        sb.append((String) n.nextElement());
+        sb.append( n.nextElement());
 
         while (n.hasMoreElements()) {
             sb.append(",");
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectKeyIdentifierExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectKeyIdentifierExt.java
index 0c763b8aac387e2ab3a9a77044dd095dd73b11ec..717a648282b051b3efcc667a6191ac2759c1e24d 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectKeyIdentifierExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectKeyIdentifierExt.java
@@ -81,9 +81,9 @@ public class SubjectKeyIdentifierExt extends APolicyRule
     protected String mKeyIdType = DEF_KEYID_TYPE;;
     protected String mReqAttrName = DEF_REQATTR_NAME;
 
-    protected Vector mInstanceParams = new Vector();
+    protected Vector<String> mInstanceParams = new Vector<String>();
 
-    protected static Vector mDefaultParams = new Vector();
+    protected static Vector<String> mDefaultParams = new Vector<String>();
     static {
         // form static default params.
         mDefaultParams.addElement(PROP_CRITICAL + "=" + DEF_CRITICAL);
@@ -194,7 +194,7 @@ public class SubjectKeyIdentifierExt extends APolicyRule
             try {
                 if (extensions != null) {
                     subjectKeyIdExt = (SubjectKeyIdentifierExtension)
-                            extensions.get(SubjectKeyIdentifierExtension.NAME);
+                            extensions.get(SubjectKeyIdentifierExtension.class.getSimpleName());
                 }
             } catch (IOException e) {
                 // extension isn't there. 
@@ -210,7 +210,7 @@ public class SubjectKeyIdentifierExt extends APolicyRule
                     CMS.debug(
                         "SubjectKeyIdentifierExt: request id from user " + req.getRequestId() +
                         " had subject key identifier - deleted to be replaced");
-                    extensions.delete(SubjectKeyIdentifierExtension.NAME);
+                    extensions.delete(SubjectKeyIdentifierExtension.class.getSimpleName());
                 }
             }
 
@@ -235,7 +235,7 @@ public class SubjectKeyIdentifierExt extends APolicyRule
                 certInfo.set(X509CertInfo.EXTENSIONS, extensions);
             }
             extensions.set(
-                SubjectKeyIdentifierExtension.NAME, subjectKeyIdExt);
+                SubjectKeyIdentifierExtension.class.getSimpleName(), subjectKeyIdExt);
             CMS.debug(
                 "SubjectKeyIdentifierExt: added subject key id ext to request " + req.getRequestId());
             return PolicyResult.ACCEPTED;
@@ -343,7 +343,7 @@ public class SubjectKeyIdentifierExt extends APolicyRule
      *
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() { 
+    public Vector<String> getInstanceParams() { 
         return mInstanceParams;
     }
 
@@ -352,7 +352,7 @@ public class SubjectKeyIdentifierExt extends APolicyRule
      *
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() { 
+    public Vector<String> getDefaultParams() { 
         return mDefaultParams;
     }
 
diff --git a/pki/base/common/src/com/netscape/cms/profile/common/EnrollProfile.java b/pki/base/common/src/com/netscape/cms/profile/common/EnrollProfile.java
index 95c360f8ceabd459c10f4ee65296a0673311f538..8bc6f190374d7484d8d00a8545bd157fc005e1be 100644
--- a/pki/base/common/src/com/netscape/cms/profile/common/EnrollProfile.java
+++ b/pki/base/common/src/com/netscape/cms/profile/common/EnrollProfile.java
@@ -28,7 +28,6 @@ import java.security.NoSuchAlgorithmException;
 import java.security.cert.CertificateException;
 import java.util.Date;
 import java.util.Enumeration;
-import java.util.Hashtable;
 import java.util.Locale;
 import java.util.StringTokenizer;
 
@@ -281,7 +280,7 @@ public abstract class EnrollProfile extends BasicProfile
         int seq_no = seq.intValue(); // start from 0
 
         int count = 0;
-        Enumeration setIds = getProfilePolicySetIds();
+        Enumeration<String> setIds = getProfilePolicySetIds();
 
         while (setIds.hasMoreElements()) {
             String setId = (String) setIds.nextElement();
@@ -369,7 +368,6 @@ public abstract class EnrollProfile extends BasicProfile
         }
         CMS.debug("EnrollProfile: Start parseCMC(): " + certreq);
 
-        Hashtable t1 = new Hashtable();
         TaggedRequest msgs[] = null;
 
         String creq = normalizeCertReq(certreq);
